<?php
class Cobrador extends TRecord
{
    const TABLENAME = 'cobrador';
    const PRIMARYKEY= 'id';
    const IDPOLICY =  'max'; // {max, serial}

    use SystemChangeLogTrait;

    public function __construct($id = NULL)
    {
        parent::__construct($id);
        parent::addAttribute('id_gerente');
        parent::addAttribute('nome');
    }

    public function get_nome_gerente()
    {
        return (new Gerente($this->id_gerente))->nome;
    }
}
?>